ytd-section-list-renderer ytd-grid-video-renderer
    position: relative;

    // Transition to smooth the video toogle
    #dismissable
        transition: .5s cubic-bezier(0.41, -0.06, 0.18, 0.96);
    
    // Channels in selected categories
    &.youtab-visible #dismissable
            opacity: 1;

    // Channels not in selected categories
    &.youtab-hidden #dismissable
            opacity: .1;

    // Icon to toggle channel in selected categories
    &.youtab-visible, &.youtab-hidden
        &::before
            position: absolute;
            top: 0;
            left: 0;

            margin: 4px;
            width: 28px;
            height: 28px;
            border-radius: 2px;

            display: flex;
            justify-content: center;
            align-items: center;

            content: none;
            background-color: rgba(0, 0, 0, 0.8);
            background-position: center;
            background-size: 18px;
            background-repeat: no-repeat;
            color: rgba(255, 68, 68, .8);

            z-index: 1000;
            cursor: pointer;
            opacity: 0;
            transition: .3s;

        // Icons appears only when hover video
        &:hover::before
            opacity: 1;

    // Display a (-) mean remove channel from checked categories
    &.youtab-visible::before
        background-image: url("data:image/svg+xml;charset=UTF-8, <svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'><path fill='rgba(255, 68, 68, .8)' d='M464 128H272l-64-64H48C21.49 64 0 85.49 0 112v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V176c0-26.51-21.49-48-48-48zm-96 168c0 8.84-7.16 16-16 16H160c-8.84 0-16-7.16-16-16v-16c0-8.84 7.16-16 16-16h192c8.84 0 16 7.16 16 16v16z'></path></svg>")

    // Display a (+) mean add channel to selected categories
    &.youtab-hidden::before
        background-image: url("data:image/svg+xml;charset=UTF-8, <svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'><path fill='rgba(255, 68, 68, .8)' d='M464 128H272l-64-64H48C21.49 64 0 85.49 0 112v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V176c0-26.51-21.49-48-48-48zm-96 168c0 8.84-7.16 16-16 16h-72v72c0 8.84-7.16 16-16 16h-16c-8.84 0-16-7.16-16-16v-72h-72c-8.84 0-16-7.16-16-16v-16c0-8.84 7.16-16 16-16h72v-72c0-8.84 7.16-16 16-16h16c8.84 0 16 7.16 16 16v72h72c8.84 0 16 7.16 16 16v16z'></path></svg>")

    // Show icon only in edition mode, mean one single category selected
    &.youtab-edit::before
        content: ' ';